Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: REQUIRED | OPTIONAL | DETAIL: ELEMENT

## javax.persistence
Annotation Type SequenceGenerator

    @Target(value={TYPE,METHOD,FIELD})
    @Retention(value=RUNTIME)
    public @interface SequenceGenerator

This annotation defines a primary key generator that may be referenced by name when a generator element is specified for the GeneratedValue annotation. A sequence generator may be specified on the entity class or on the primary key field or property. The scope of the generator name is global to the persistence unit (across all generator types).

Author:
  Emmanuel Bernard

Required Element Summary
`String` | `name` A unique generator name that can be referenced by one or more classes to be the generator for primary key values

Optional Element Summary
`int` | `allocationSize` The amount to increment by when allocating sequence numbers from the sequence
`int` | `initialValue` The value from which the sequence object is to start generating
`String` | `sequenceName` The name of the database sequence object from which to obtain primary key values Defaults to a provider-chosen value

Element Detail

### name

    public abstract String name

  A unique generator name that can be referenced by one or more classes to be the generator for primary key values

### sequenceName

    public abstract String sequenceName

  The name of the database sequence object from which to obtain primary key values Defaults to a provider-chosen value

  Default:
    ""

### initialValue

    public abstract int initialValue

  The value from which the sequence object is to start generating

  Default:
    1

### allocationSize

    public abstract int allocationSize

  The amount to increment by when allocating sequence numbers from the sequence

  Default:
    50

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: REQUIRED | OPTIONAL | DETAIL: ELEMENT